Bug 652986 - [abrt] hplip-3.10.6-1.fc13: device.py:623:getSupportedCUPSDevices:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 15: ordinal not in range(128)
Summary: [abrt] hplip-3.10.6-1.fc13: device.py:623:getSupportedCUPSDevices:UnicodeEnco...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 13
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fda12121
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 23:26 UTC by Tonsenst
Modified: 2011-06-28 10:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:37:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (830 bytes, text/plain)
2010-11-13 23:26 UTC, Tonsenst
no flags Details

Description Tonsenst 2010-11-13 23:26:46 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/hp-setup
component: hplip
executable: /usr/bin/hp-setup
kernel: 2.6.34.7-61.fc13.i686.PAE
package: hplip-3.10.6-1.fc13
reason: device.py:623:getSupportedCUPSDevices:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 15: ordinal not in range(128)
release: Fedora release 13 (Goddard)
time: 1288773261
uid: 500

backtrace
-----
device.py:623:getSupportedCUPSDevices:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 15: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/setupdialog.py", line 1232, in NextButton_clicked
    self.addPrinter()
  File "/usr/share/hplip/ui4/setupdialog.py", line 937, in addPrinter
    self.setupPrinter()
  File "/usr/share/hplip/ui4/setupdialog.py", line 966, in setupPrinter
    self.installed_print_devices = device.getSupportedCUPSDevices(['hp'])
  File "/usr/share/hplip/base/device.py", line 623, in getSupportedCUPSDevices
    for p in printers:
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 15: ordinal not in range(128)

Local variables in innermost frame:
filter: None
back_end_filter: ['hp']
devices: {}
printers: []

How to reproduce
-----
1. After an upgrade from Fedora 13 to Fedora 14
2.
3.

Comment 1 Tonsenst 2010-11-13 23:26:49 UTC
Created attachment 460278 [details]
File: backtrace

Comment 2 Jiri Popelka 2010-11-16 15:13:10 UTC
I don't have any idea how the
 'for p in printers:'
line could throw UnicodeEncodeError.

Do you still see this problem or did it occur only once ?
Also you claim that this happened after upgrade to F14 but from the ABRT report it seems that you are still running F13.

kernel: 2.6.34.7-61.fc13.i686.PAE
package: hplip-3.10.6-1.fc13
release: Fedora release 13 (Goddard)

If you are running F14, please upgrade to latest hplip-3.10.9-5.fc14.

Comment 3 Bug Zapper 2011-05-30 13:48:07 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-28 10:37:24 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.